package jp.mosp.payroll.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

/**
 * @author koike
 *
 */
public class ResidenceTaxDto extends BaseDto {
	
	private static final long	serialVersionUID	= 1958389383485471274L;
	//フィールド
	/**
	 * 社員コード
	 */
	protected String			kCode				= "";
	/**
	 * 計算年月
	 */
	protected Date				calcDate;
	/**
	 * 給与支給日
	 */
	protected Date				payday;
	/**
	 * 計算ステータス
	 */
	protected String			calcStatus			= "";
	/**
	 * 社員氏名
	 */
	protected String			kName				= "";
	/**
	 * 住民税
	 */
	protected int				residenceTax		= 0;
	/**
	 * 市町村コード
	 */
	protected String			cityCode			= "";
	/**
	 * 市町村名
	 */
	protected String			cityName			= "";
	/**
	 * 納付先市町村コード
	 */
	protected String			paymentCityCode		= "";
	

	/**
	 * コンストラクタ
	 */
	public ResidenceTaxDto() {
		super();
	}
	
	//アクセサメソッド
	public String getKCode() {
		return kCode;
	} // 社員コード
	
	public Date getCalcDate() {
		return getDateField(calcDate);
	} // 計算年月
	
	public Date getPayday() {
		return getDateField(payday);
	} // 給与支給日
	
	public String getCalcStatus() {
		return calcStatus;
	} // 計算ステータス
	
	public String getKName() {
		return kName;
	} // 社員氏名
	
	public int getResidenceTax() {
		return residenceTax;
	} // 住民税
	
	public String getCityCode() {
		return cityCode;
	} // 市町村コード
	
	public String getCityName() {
		return cityName;
	} // 市町村名
	
	public String getPaymentCityCode() {
		return paymentCityCode;
	} // 納付先市町村コード
	
	public void setKCode(String kCode) {
		this.kCode = kCode;
	} // 社員コード
	
	public void setCalcDate(Date calcDate) {
		this.calcDate = getDateField(calcDate);
	} // 計算年月
	
	public void setPayday(Date payday) {
		this.payday = getDateField(payday);
	} // 給与支給日
	
	public void setCalcStatus(String calcStatus) {
		this.calcStatus = calcStatus;
	} // 計算ステータス
	
	public void setKName(String kName) {
		this.kName = kName;
	} // 社員氏名
	
	public void setResidenceTax(int residenceTax) {
		this.residenceTax = residenceTax;
	} // 住民税
	
	public void setCityCode(String cityCode) {
		this.cityCode = cityCode;
	} // 市町村コード
	
	public void setCityName(String cityName) {
		this.cityName = cityName;
	} // 市町村名
	
	public void setPaymentCityCode(String paymentCityCode) {
		this.paymentCityCode = paymentCityCode;
	} // 納付先市町村コード
	
}
